<div class="col-md-12">
  <div class="row">
    <div style="margin-bottom: 20px;" class="col-md-6">
      <div class="row">
        <div class="col-md-3">
          <select class="form-control" [(ngModel)]="startYear" name="startYear" id="startYear" (change)="generateChart()">
            <option *ngFor="let year of yearList" value="{{year}}">
              {{year}}
            </option>
          </select>
        </div>
        <div class="col-md-3">
          <select class="form-control" [(ngModel)]="endYear" name="endYear" id="endYear" (change)="generateChart()">
            <option *ngFor="let year of yearList" value="{{year}}">
              {{year}}
            </option>
          </select>
        </div>
      </div>
    </div>
    <div class="col-md-12">
      <div class="row">
        <div class="col-md-1">
          <div class="col-md-12">
            <button (click)="getData('temps')" style="margin-bottom: 15px;" class="btn btn-primary">
              temperature
            </button>
          </div>
          <div class="col-md-12">
            <button (click)="getData('prec')" class="btn btn-warning">
              precipitation
            </button>
          </div>
        </div>
        <div class="col-md-11">
          <div class="chart-container" style="position: relative; height:40vh; width:100%">
            <canvas baseChart
                    [data]="LinechartData"
                    [labels]="LinechartLabels"
                    [chartType]="'line'"
                    [legend]="false"
                    [colors]="chartColors"></canvas>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
